#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	RIPEMD160
Summary:	Crypt::RIPEMD160 Perl module - RIPEMD160 message digest algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::RIPEMD160 - algorytm skrótu RIPEMD160
Name:		perl-Crypt-RIPEMD160
Version:	0.06
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f37eae17af81b230104f9d0aca1b2327
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Crypt-RIPEMD160/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::RIPEMD160 module allows you to use the RIPEMD160 Message
Digest algorithm from within Perl programs. RIPEMD-160 is a 160-bit
cryptographic hash function, designed by Hans Dobbertin, Antoon
Bosselaers, and Bart Preneel. It is intended to be used as a secure
replacement for the 128-bit hash functions MD4, MD5, and RIPEMD.

%description -l pl.UTF-8
Moduł Crypt::RIPEMD160 pozwala na używanie algorytmu skrótu RIPEMD160
z poziomu programów w Perlu. RIPEMD-160 jest 160-bitową
kryptograficzną funkcją mieszającą, opracowaną przez Hansa Dobbertina,
Antoona Bosselaersa i Barta Preneela. Ma być bezpiecznym zamiennikiem
128-bitowych funkcji mieszających MD4, MD5 i RIPEMD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rmd160/doc/*.html
%{perl_vendorarch}/Crypt/RIPEMD160.pm
%{perl_vendorarch}/Crypt/RIPEMD160
%dir %{perl_vendorarch}/auto/Crypt/RIPEMD160
%{perl_vendorarch}/auto/Crypt/RIPEMD160/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/RIPEMD160/*.so
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-RIPEMD160.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3d7ead6
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0e6413e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3a14760
- rebuild with perl 5.34.0

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 02a07e9
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 03dbf63
- rediff patch

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9059ade
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 0774272
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> a3bf41c
- updated to 0.06

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6fdc3ff
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 17b3d76
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> fbf7cbc
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bd97d77
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 60c5cf3
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 081de17
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6a0a41b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fb93d53
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 922e826
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 4cc2f14
- up to 0.05

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 003fc6d
- rel 10

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> b0d256e
- release 9

